Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • Start by downloading a Helios version of Eclipse for RCP and RAP Developers from here: http://www.eclipse.org/downloads/
  • Download and install Maven 3 from here: http://maven.apache.org/download.html . Using Maven 2.x will not work, so make sure you have a compliant version. Commands listed further on will assume that you have the mvn command linked to Maven 3. Make sure your Maven settings are such, that Maven can access the Internet to reach public repositories and download dependencies
  • Add the Eclipse Modelling Framework (EMF) SDK 
  • Add Eclipse Graphiti SDK 0.78.1 0 from update site http://download.eclipse.org/graphiti/updates/0.7.1. We haven't moved to the new 0.8.x versions of Graphiti yet and you may have trouble using them, so for the moment stick with 0.7.1
  • Add a team provider for Subversion, such as Subversive
  • Add the following location as source code repository: http://svn.codehaus.org/activiti/projects/designer/

...